# Contributing

So you want to contribute, awesome.  **Thank you**.

Bug reports and code and documentation patches are all welcome. You can help this project also by using the development version and by reporting any bugs you might encounter.

You may contribute in several ways like:

* Creating new features
* Fixing bugs
* Improving documentation and examples
* Translating any document here to your language

## Table of contents

* [Contributing](#contributing)
  * [Developing](#developing)
  * [Running tests](#running-tests)
  * [Reporting a bug](#reporting-a-bug)
  * [Request a feature](#request-a-feature)
  * [Commit message](#commit-message)
  * [Code style](#code-style)

## Developing

For now, check out the read me and any documentation located in the `docs/` folder.

> This should be expanded in the future, [want to help?](http://code.negative9.net/geoff/riot-starter/issues/new)

## Running tests

Running tests *should* be as easy as:

```bash
npm run test
```

> no client-side testing solution exists yet, [want to help?](http://code.negative9.net/geoff/riot-starter/issues/new)

## Reporting a bug

Use the [issue tracker](http://code.negative9.net/geoff/riot-starter/issues/new) to report any bug you find.
Bugs description should include:

* How to reproduce the bug;
* Easy to understand title;

Would be nice to have some code showing how to reproduce the code, you may use [gist](https://gist.github.com) or [Codepen](https://codepen.io) for uploading your example code.

## Request a feature

Use the [issue tracker](http://code.negative9.net/geoff/riot-starter/issues/new) to request a new feature.

Keep in mind, this is for the minimalist.  Something that can be easly integrated into any project.

## Commit message

Commit messages should includes issue reference and a imperative easy to understand sentence.

## Coding style

If it is supported in all major browers without transpiling, then please use those JavaScript language features in your code, with one caveat -- readablity is king.

Currently all ES5 and ES6/ES2015 are available.

This project is linted agaist [ESLint](https://eslint.org/) and the [`.eslintrc.json`](.eslintrc.json) is dead-simple, and all you need to followed.

Thank you for reading this.


Hey, **star** this *repo* and/or share it with your friends.